| Home | Libraries | People | FAQ | More

## Function safe_dump_to

boost::stacktrace::safe_dump_to — Stores current function call sequence into the memory.

## Synopsis

    // In header: <boost/stacktrace/safe_dump_to.hpp>

    std::size_t safe_dump_to(std::size_t skip, void * memory, std::size_t size);

## Description

Complexity: O(N) where N is call sequence length, O(1) if BOOST_STACKTRACE_USE_NOOP is defined.

Async-Handler-Safety: Safe.

Parameters:

`memory` | Preallocated buffer to store current function call sequence into.
`size` | Size of the preallocated buffer.
`skip` | How many top calls to skip and do not store.

Returns: | Stored call sequence depth including terminating zero frame. To get the actually consumed bytes multiply this value by the sizeof(boost::stacktrace::frame::native_frame_ptr_t)